Bug 180120 - [patch] [update] net-p2p/transmission: update to 2.80
Summary: [patch] [update] net-p2p/transmission: update to 2.80
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-30 08:10 UTC by vsjcfm
Modified: 2013-07-01 20:22 UTC (History)
0 users

See Also:


Attachments
file.txt (2.68 KB, text/plain)
2013-06-30 08:10 UTC, vsjcfm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2013-06-30 08:10:00 UTC
There is a new version.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-30 08:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-01 19:40:32 UTC
Author: crees
Date: Mon Jul  1 18:40:19 2013
New Revision: 322138
URL: http://svnweb.freebsd.org/changeset/ports/322138

Log:
  Update to 2.80
  
  PR:		ports/180120
  Submitted by:	Sayetsky Anton <vsjcfm@gmail.com>

Modified:
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-cli/distinfo
  head/net-p2p/transmission-cli/files/patch-fix_without_ipv6
  head/net-p2p/transmission-daemon/Makefile
  head/net-p2p/transmission/Makefile

Modified: head/net-p2p/transmission-cli/Makefile
==============================================================================
--- head/net-p2p/transmission-cli/Makefile	Mon Jul  1 18:37:10 2013	(r322137)
+++ head/net-p2p/transmission-cli/Makefile	Mon Jul  1 18:40:19 2013	(r322138)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	transmission
-PORTVERSION=	2.77
+PORTVERSION=	2.80
 PORTREVISION?=	0
 CATEGORIES?=	net-p2p
 #MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/

Modified: head/net-p2p/transmission-cli/distinfo
==============================================================================
--- head/net-p2p/transmission-cli/distinfo	Mon Jul  1 18:37:10 2013	(r322137)
+++ head/net-p2p/transmission-cli/distinfo	Mon Jul  1 18:40:19 2013	(r322138)
@@ -1,2 +1,2 @@
-SHA256 (transmission-2.77.tar.xz) = 55b1653fc18a10153ba9439f284bd7b2276a6859416dcae217d9e8c689841fde
-SIZE (transmission-2.77.tar.xz) = 2953840
+SHA256 (transmission-2.80.tar.xz) = 0ea0bc62e3917ce4cb848582888ecdcd0c0dbe8ffb9482d7330c823e1ff15df3
+SIZE (transmission-2.80.tar.xz) = 3167136

Modified: head/net-p2p/transmission-cli/files/patch-fix_without_ipv6
==============================================================================
--- head/net-p2p/transmission-cli/files/patch-fix_without_ipv6	Mon Jul  1 18:37:10 2013	(r322137)
+++ head/net-p2p/transmission-cli/files/patch-fix_without_ipv6	Mon Jul  1 18:40:19 2013	(r322138)
@@ -1,11 +1,11 @@
---- libtransmission/fdlimit.c.orig	2012-12-16 19:44:18.727049000 +0000
-+++ libtransmission/fdlimit.c	2012-12-30 16:50:41.605049278 +0000
-@@ -678,7 +678,7 @@
+--- libtransmission/fdlimit.c.orig	2013-06-26 05:35:25.603458000 +0300
++++ libtransmission/fdlimit.c	2013-06-30 10:01:10.000000000 +0300
+@@ -668,7 +668,7 @@
  
-     if (gFd->peerCount < session->peerLimit)
-         if ((s = socket (domain, type, 0)) < 0)
--            if (sockerrno != EAFNOSUPPORT)
-+            if (sockerrno != EPROTONOSUPPORT)
-                 tr_err (_("Couldn't create socket: %s"), tr_strerror (sockerrno));
+   if (gFd->peerCount < session->peerLimit)
+     if ((s = socket (domain, type, 0)) < 0)
+-      if (sockerrno != EAFNOSUPPORT)
++      if (sockerrno != EPROTONOSUPPORT)
+         tr_logAddError (_("Couldn't create socket: %s"), tr_strerror (sockerrno));
  
-     if (s > -1)
+   if (s > -1)

Modified: head/net-p2p/transmission-daemon/Makefile
==============================================================================
--- head/net-p2p/transmission-daemon/Makefile	Mon Jul  1 18:37:10 2013	(r322137)
+++ head/net-p2p/transmission-daemon/Makefile	Mon Jul  1 18:40:19 2013	(r322138)
@@ -1,6 +1,6 @@
 # $FreeBSD$
 
-PORTREVISION=	1
+PORTREVISION=	0
 PKGNAMESUFFIX=	-daemon
 
 MAINTAINER=	crees@FreeBSD.org

Modified: head/net-p2p/transmission/Makefile
==============================================================================
--- head/net-p2p/transmission/Makefile	Mon Jul  1 18:37:10 2013	(r322137)
+++ head/net-p2p/transmission/Makefile	Mon Jul  1 18:40:19 2013	(r322138)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	transmission
-PORTVERSION=	2.77
+PORTVERSION=	2.80
 CATEGORIES=	net-p2p
 MASTER_SITES=	# empty
 DISTFILES=	# empty
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2013-07-01 20:22:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!